SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Typedefs | Functions | Variables
ReliabilityLayer.cpp File Reference
`#include "slikenet/ReliabilityLayer.h"`
`#include "slikenet/GetTime.h"`
`#include "slikenet/SocketLayer.h"`
`#include "slikenet/PluginInterface2.h"`
`#include "slikenet/assert.h"`
`#include "slikenet/Rand.h"`
`#include "slikenet/MessageIdentifiers.h"`
`#include <math.h>`
`#include "slikenet/linux_adapter.h"`
`#include "slikenet/osx_adapter.h"`

Go to the source code of this file.

## Typedefs

typedef uint32_t | BitstreamLengthEncoding

## Functions

double | Ceil (double d)
int | SplitPacketIndexComp (SplitPacketIndexType const &key, InternalPacket *const &data)

## Variables

static const CCTimeType | MAX_TIME_BETWEEN_PACKETS = 350000
static const int | DEFAULT_HAS_RECEIVED_PACKET_QUEUE_SIZE =512
static const CCTimeType | STARTING_TIME_BETWEEN_PACKETS =MAX_TIME_BETWEEN_PACKETS

## Typedef Documentation

typedef uint32_t BitstreamLengthEncoding

Definition at line 61 of file ReliabilityLayer.cpp.

## Function Documentation

double Ceil | ( | double | d | ) |

Definition at line 38 of file ReliabilityLayer.cpp.

int SplitPacketIndexComp | ( | SplitPacketIndexType const & | key,
|  | InternalPacket *const & | data
| ) |  |

Definition at line 291 of file ReliabilityLayer.cpp.

References SLNet::InternalPacketFixedSizeTransmissionHeader::splitPacketIndex.

## Variable Documentation

const int DEFAULT_HAS_RECEIVED_PACKET_QUEUE_SIZE =512

static

Definition at line 56 of file ReliabilityLayer.cpp.

Referenced by SLNet::ReliabilityLayer::HandleSocketReceiveFromConnectedPlayer().

const CCTimeType MAX_TIME_BETWEEN_PACKETS = 350000

static

Definition at line 53 of file ReliabilityLayer.cpp.

const CCTimeType STARTING_TIME_BETWEEN_PACKETS =MAX_TIME_BETWEEN_PACKETS

static

Definition at line 57 of file ReliabilityLayer.cpp.